<?php
/*
*
*	***** Faraz woo Scheduled sms *****
*
*	Ajax Request
*	
*/
if ( ! defined( 'WPINC' ) ) {
	die;
}
/*
Ajax Requests
*/
add_action( 'wp_ajax_fwss_save_credentials', 'fwss_ajax_save_credentials' );
add_action( 'wp_ajax_nopriv_fwss_save_credentials', 'fwss_ajax_save_credentials' );
function fwss_ajax_save_credentials() {
	$uname     = $_POST['username'] ?? '';
	$pass      = $_POST['password'] ?? '';
	$sender    = $_POST['sender'] ?? '';
	$send_time = $_POST['send_time'] ?? '';
	if ( empty( $uname ) || empty( $pass ) ) {
		wp_send_json_error( 'لطفا اطلاعات را کامل وارد کنید' );
	}
	$credentials_is_valid = fwss_check_if_credentials_is_valid( $uname, $pass );
	if ( ! $credentials_is_valid ) {
		wp_send_json_error( 'متاسفانه شما در شرکت فراز اس ام اس حساب کاربری ندارید، برای استفاده از این افزونه می بایست از سایت farazsms.com نسبت به خرید سامانه پیامک اقدام نمایید، برای خرید پنل پیامکی می توانید از کد تخفیف farazsmsclub استفاده نمایید.' );
	}
	update_option( 'fwss_uname', sanitize_text_field( $uname ) );
	update_option( 'fwss_pass', sanitize_text_field( $pass ) );
	update_option( 'fwss_sender', sanitize_text_field( $sender ) );
	update_option( 'fwss_send_time', sanitize_text_field( $send_time ) );
	wp_send_json_success();
}

add_action( 'wp_ajax_fwss_save_wc_sms_data', 'fwss_save_wc_sms_data' );
add_action( 'wp_ajax_nopriv_fwss_save_wc_sms_data', 'fwss_save_wc_sms_data' );
function fwss_save_wc_sms_data() {
	$sms_data = $_POST['sms_data'] ?? '';
	foreach ( $sms_data as $i => $data ) {
		preg_match_all( '!\d+!', $data['name'], $match_id );
		preg_match_all( "/\[([^\]]*)\]/", $data['name'], $match_name );
		$so_tmp[ $match_id[0][0] ][ $match_name[1][1] ] = $data['value'];
	}
	update_option( 'fwss_wc_sms_data', $so_tmp );
	wp_send_json_success();
}

add_action( 'wp_ajax_fwss_save_users_sms_data', 'fwss_save_users_sms_data' );
add_action( 'wp_ajax_nopriv_fwss_save_users_sms_data', 'fwss_save_users_sms_data' );
function fwss_save_users_sms_data() {
	$sms_data = $_POST['sms_data'] ?? '';
	foreach ( $sms_data as $i => $data ) {
		preg_match_all( '!\d+!', $data['name'], $match_id );
		preg_match_all( "/\[([^\]]*)\]/", $data['name'], $match_name );
		$so_tmp[ $match_id[0][0] ][ $match_name[1][1] ] = $data['value'];
	}
	update_option( 'fwss_users_sms_data', $so_tmp );
	wp_send_json_success();
}

add_action( 'wp_ajax_fwss_save_users_settings', 'fwss_save_users_settings' );
add_action( 'wp_ajax_nopriv_fwss_save_users_settings', 'fwss_save_users_settings' );
function fwss_save_users_settings() {
	update_option( 'fwss_active_digits', $_POST['fwss_active_digits'] ?? '' );
	update_option( 'fwss_custom_phone_meta_keys', $_POST['fwss_custom_phone_meta_keys'] ?? '' );
	wp_send_json_success();
}

add_action( 'wp_ajax_fwss_save_gf_sms_data', 'fwss_save_gf_sms_data' );
add_action( 'wp_ajax_nopriv_fwss_save_gf_sms_data', 'fwss_save_gf_sms_data' );
function fwss_save_gf_sms_data() {
	$sms_data = $_POST['sms_data'] ?? '';
	foreach ( $sms_data as $i => $data ) {
		preg_match_all( '!\d+!', $data['name'], $match_id );
		preg_match_all( "/\[([^\]]*)\]/", $data['name'], $match_name );
		//print_r($match_name);
		if ( ! empty( $data['value'] ) ) {
			if ( isset( $match_id[0][1] ) ) {
				$so_tmp[ $match_id[0][0] ]['condition'][ $match_id[0][1] ][ $match_name[1][2] ] = $data['value'];
			} else {
				$so_tmp[ $match_id[0][0] ][ $match_name[1][1] ] = $data['value'];
			}
		}
	}
	update_option( 'fwss_gf_sms_data', $so_tmp );
	wp_send_json_success();
}