<?php
if ( ! defined( 'WPINC' ) ) {
	die;
}

function fwss_tr_num( $str ) {
	$num_a = array( '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', '.' );
	$key_a = array( '۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹' );

	return str_replace( $key_a, $num_a, $str );
}

function fwss_check_if_credentials_is_valid( $uname, $pass ) {
	$body     = array(
		'username' => fwss_tr_num( $uname ),
		'password' => fwss_tr_num( $pass ),
	);
	$response = wp_remote_post( 'http://reg.ippanel.com/parent/farazsms', array(
			'method'      => 'POST',
			'headers'     => [
				'Content-Type' => 'application/json',
			],
			'data_format' => 'body',
			'body'        => json_encode( $body )
		)
	);
	if ( is_wp_error( $response ) ) {
		return false;
	}
	$response = json_decode( $response['body'] );
	if ( $response->message !== 1 ) {
		return true;
	}

	return false;
}

function fwss_get_credit( $uname, $pass ) {
	$body     = array(
		"uname" => $uname,
		"pass"  => $pass,
		'op'    => 'credit'
	);
	$response = wp_remote_post( 'http://ippanel.com/api/select', array(
			'method'      => 'POST',
			'headers'     => [
				'Content-Type' => 'application/json',
			],
			'data_format' => 'body',
			'body'        => json_encode( $body )
		)
	);
	if ( is_wp_error( $response ) ) {
		return false;
	}
	$response = json_decode( $response['body'] );
	if ( $response[0] !== 0 ) {
		return false;
	}
	$separator = '.';
	if ( strpos( $response[1], '/' ) ) {
		$separator = "/";
	}
	if ( strpos( $response[1], '.' ) ) {
		$separator = ".";
	}
	$credit_rial = explode( $separator, $response[1] )[0];

	return number_format( substr( $credit_rial, 0, - 1 ) );
}

function fwss_send_scheduled_sms( $mobile, $date_to_send, $message ) {
	$uname = get_option( 'fwss_uname', '' );
	$pass  = get_option( 'fwss_pass', '' );
	$sender  = get_option( 'fwss_sender', '' );
	if ( empty( $uname ) || empty( $pass ) || empty( $message ) ) {
		return;
	}

	$body     = array(
		'uname'   => $uname,
		'pass'    => $pass,
		'from'    => $sender,
		'op'      => 'send',
		'to'      => $mobile,
		'time'    => $date_to_send,
		'message' => $message
	);
	$response = wp_remote_post( 'https://ippanel.com/api/select', array(
			'method'      => 'POST',
			'headers'     => [
				'Content-Type' => 'application/json',
			],
			'data_format' => 'body',
			'body'        => json_encode( $body )
		)
	);
	$response = json_decode( $response['body'] );
	if ( is_wp_error( $response ) ) {
		return false;
	}
}


function fwss_send_ticket( $subject, $ticket ) {
	$uname = get_option( 'fwss_uname', '' );
	$pass  = get_option( 'fwss_pass', '' );
	if ( empty( $uname ) || empty( $pass ) || empty( $ticket ) ) {
		return;
	}

	$url = "https://ippanel.com/services.jspd";
	$param = array
	(
		'uname'            => $uname,
		'pass'             => $pass,
		'subject'          => $subject,
		'description'      => $ticket,
		'type'             => 'fiscal',
		'importance'       => 'low',
		'sms_notification' => 'yes',
		'op'               => 'ticketadd'
	);
	$handler = curl_init($url);
	curl_setopt($handler, CURLOPT_CUSTOMREQUEST, "POST");
	curl_setopt($handler, CURLOPT_POSTFIELDS, $param);
	curl_setopt($handler, CURLOPT_RETURNTRANSFER, true);
	$response2 = curl_exec($handler);
	$response2 = json_decode($response2);
	$res_code = $response2[0];
	$res_data = $response2[1];
	if (!is_numeric($res_data)){
		return $res_data;
	}
	return true;
}
